| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.MRE3TemperatureManager Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.MRE3TemperatureManager:

## Public Member Functions
| __init__ (self, board=None)
| GetDeviceTemperature (self)
| GetDeviceTemperatureThreshold (self)
| SetDeviceTemperatureThreshold (self, threshold=0)
| GetBoardOutputStageTemperature (self)
| GetBoardOutputStageTemperatureThreshold (self)
| SetBoardOutputStageTemperatureThreshold (self, threshold=0)
| GetProxyTemperature (self)
| GetProxyTemperatureThreshold (self)
| SetProxyTemperatureThreshold (self, threshold=0)
| GetMcuTemperature (self)
| GetMcuTemperatureThreshold (self)
| SetMcuTemperatureThreshold (self, threshold=0)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x22
dict | device_temperature
dict | device_temp_threshold
dict | board_out_temperature
dict | board_out_threshold
dict | proxy_temperature
dict | proxy_threshold
dict | mcu_temperature
dict | mcu_temperature_threshold

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

        Device Functionality - Device Temperature Readout
        System ID: 0x22
        If this threshold is reached the output of the driver is disabled to cool down.
        Temperature has to fall by 10 degrees so that the output is enabled again
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        | Register Name                   | Id   | Type        | Unit | Range | Default | Comment                      |
        +=====================+======+=============+======+=======+=========+==========================================+
        |actuator_temperature             | 0x00 | float  |°C    |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |actuator_temp_threshold          | 0x01 | float  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |output_stage_board_temp          | 0x02 | float  |°C    |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |output_stage_board_temp_threshold| 0x03 | float  |°C    |       |80        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |proxy_board_temperature          | 0x04| float  |°C     |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |proxy_board_temperature_threshold| 0x05 | float  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |mcu  _temp_threshold            | 0x06 | float  |°C    |       |N/A       |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+
        |mcu_temp_threshold              | 0x07 | float  |°C    |       |85        |Degrees Celsius               |
        +---------------------+------+-------------+------+-------+---------+------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetBoardOutputStageTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetBoardOutputStageTemperature | ( |  | self | ) |

## ◆ GetBoardOutputStageTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetBoardOutputStageTemperatureThreshold | ( |  | self | ) |

## ◆ GetDeviceTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetDeviceTemperature | ( |  | self | ) |

## ◆ GetDeviceTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetDeviceTemperatureThreshold | ( |  | self | ) |

## ◆ GetMcuTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetMcuTemperature | ( |  | self | ) |

## ◆ GetMcuTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetMcuTemperatureThreshold | ( |  | self | ) |

## ◆ GetProxyTemperature()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetProxyTemperature | ( |  | self | ) |

## ◆ GetProxyTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.GetProxyTemperatureThreshold | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.help | ( |  | ) |
| static

## ◆ SetBoardOutputStageTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetBoardOutputStageTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## ◆ SetDeviceTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetDeviceTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## ◆ SetMcuTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetMcuTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## ◆ SetProxyTemperatureThreshold()

optoMDC.registers.mre3_registers.MRE3TemperatureManager.SetProxyTemperatureThreshold | ( |  | self,
|  |  | threshold = 0 )

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.MRE3TemperatureManager._is_a_system = False
| static protected

## ◆ board_out_temperature

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.board_out_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ board_out_threshold

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.board_out_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': float, 'unit': '°C', 'range': None,
'default': 80, 'value': None}

## ◆ device_temp_threshold

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.device_temp_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': '°C', 'range': None,
'default': 85, 'value': None}

## ◆ device_temperature

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.device_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ mcu_temperature

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.mcu_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ mcu_temperature_threshold

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.mcu_temperature_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': float, 'unit': '°C', 'range': None,
'default': 90, 'value': None}

## ◆ proxy_temperature

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.proxy_temperature

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': float, 'unit': '°C', 'range': None,
'default': None, 'value': None}

## ◆ proxy_threshold

dict optoMDC.registers.mre3_registers.MRE3TemperatureManager.proxy_threshold

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': float, 'unit': '°C', 'range': None,
'default': 85, 'value': None}

## ◆ sys_id

int optoMDC.registers.mre3_registers.MRE3TemperatureManager.sys_id = 0x22

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py